#!/usr/bin/env python

import weak

class foo: pass

m = weak.dict()
f = foo()
m[0] = f
print m.has_key(0)                      # should be 1
del f
print m.has_key(0)                      # should be 0!
